Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Enum Relationship

    java.lang.Object
      java.lang.Enum<Relationship>
          umontreal.iro.lecuyer.contactcenters.msk.params.Relationship

All Implemented Interfaces:
  Serializable, Comparable<Relationship>

    public enum Relationship

extends Enum<Relationship>

Java class for Relationship.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Relationship">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="SMALLER"/>
         <enumeration value="SMALLEROREQUAL"/>
         <enumeration value="EQUAL"/>
         <enumeration value="GREATEROREQUAL"/>
         <enumeration value="GREATER"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`EQUAL`
`GREATER`
`GREATEROREQUAL`
`SMALLER`
`SMALLEROREQUAL`

Method Summary
`static Relationship` | `fromValue(String v)`
`String` | `value()`
`static Relationship` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Relationship[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SMALLER

    public static final Relationship SMALLER

### SMALLEROREQUAL

    public static final Relationship SMALLEROREQUAL

### EQUAL

    public static final Relationship EQUAL

### GREATEROREQUAL

    public static final Relationship GREATEROREQUAL

### GREATER

    public static final Relationship GREATER

Method Detail

### values

    public static Relationship[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Relationship c : Relationship.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Relationship valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static Relationship fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.